package com.ffii.fpsms.modules.user.entity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Table;
import jakarta.validation.constraints.NotNull;

import com.ffii.core.entity.BaseEntity;

@Entity
@Table(name = "`group`")
public class Group extends BaseEntity<Long> {

	@NotNull
	@Column
	private String name;

	@Column
	private String description;

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

}